Bug 107703 - fstat() syscall is not recognized by strace on ia64
Summary: fstat() syscall is not recognized by strace on ia64
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: strace (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-22 10:12 UTC by Petter Reinholdtsen
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: 4.5-1.2.1AS.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-01 22:19:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:361 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-11-18 05:00:00 UTC

Description Petter Reinholdtsen 2003-10-22 10:12:06 UTC
This problem is with strace-4.3-2.  It is reproducable, and happen
every time.

When running 'strace stat <file/directory>' on RedHat Linux
Advanced Server 2.1AS for ia64, the call to fstat() is not
displayed as it should.

Here are an example of the problematic lines:

  open("/etc/localtime", O_RDONLY)        = 4
  SYS_1212(0x4, 0x60000fffffffb350, 0x10000, 0x3, 0x22,
    0xffffffffffffffff, 0, 0x4) = 0
  mmap(NULL, 65536, PROT_READ|PROT_WRITE,
    MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x2000000000354000


The call to SYS_1212() should be translated to something readable
instead, like it is on ix86.  Calls to SYS_1210() have the same
problem.  This make it hard to know what the call to fstat() actually
do.

To reproduce it, just run 'strace stat file | grep SYS_' and look
at the output.

I discovered this while trying to find out why ia64 linux are
unable to properly handle files owned by users with UID > 65k.
I'll report that bug separately when I know more.

Comment 1 Petter Reinholdtsen 2003-10-22 12:38:00 UTC
This problem seem to be fixed in strace version 4.4.92.


Comment 2 Roland McGrath 2003-11-01 22:19:14 UTC
We have fixed this problem and have a new strace in RHEL2.1 errata
coming out soon.


Note You need to log in before you can comment on or make changes to this bug.